---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "gitea_team_members Resource - terraform-provider-gitea"
subcategory: ""
description: |-
  gitea_team_members manages all members of a single team. This resource will be recreated on member changes.
---

# gitea_team_members (Resource)

`gitea_team_members` manages all members of a single team. This resource will be recreated on member changes.

## Example Usage

```terraform
resource "gitea_org" "example_org" {
  name = "m_example_org"
}

resource "gitea_user" "example_users" {
  count      = 5
  username   = "m_example_user_${count.index}"
  login_name = "m_example_user_${count.index}"
  password   = "Geheim1!"
  email      = "m_example_user_${count.index}@user.dev"
}

resource "gitea_team" "example_team" {
  name         = "m_example_team"
  organisation = gitea_org.example_org.name
  description  = "An example of team membership"
  permission   = "read"
}

resource "gitea_team_members" "example_members" {
  team_id = gitea_team.example_team.id
  members = [for user in gitea_user.example_users : user.username]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `members` (List of String) The user names of the members of the team.
- `team_id` (Number) The ID of the team.

### Read-Only

- `id` (String) The ID of this resource.
